> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/llms.txt)

# Create New Records

> POST /profiles/{profile_id}/pages/{page_id}/records



## Servers
- https://api.iformbuilder.com/exzact/api/v80/[servername]: https://api.iformbuilder.com/exzact/api/v80/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile

- **page_id** (number)
  id of the page



### Body: application/json (object)

- **parent_record_id** (number)

- **parent_page_id** (number)

- **parent_element_id** (number)

- **fields** (array)
  an array that contains record fields

- **fields.element_name: `inspector_name`** (string)
  must have either element_name or element_id set

- **fields.element_id** (string)

- **fields.value** (string)

- **fields.extension** (string)
  file extension, if applicable

- **fields.encoding** (string)
  must match "base64", "url"

- **device_id** (string)

- **javascript_state** (string)



## Responses
### 201
Created

#### Body: application/json (object)
- **id** (number)
  the created record id



[Powered by Bump.sh](https://bump.sh)
